foreman-rake config should print errors when providing an invalid value
04/27/2016 03:24 AM - Daniel Lobato Garcia

Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category: Settings
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3470
Description

Currently, foreman-rake config might take values for any setting, but when we check if it's valid or not, we just don't print the error
when it's not valid.
https://github.com/theforeman/foreman/blob/develop/lib/tasks/config.rake#L.111

Related issues:
Related to Foreman - Bug #14898: Failure when running rake config Closed 05/02/2016

Associated revisions

Revision 5b53236f - 04/29/2016 11:26 AM - Daniel Lobato Garcia
Fixes #14843 - Improve rake config error handling

Currently rake config doesn't give you any hint when you provide an
invalid setting. Instead, it should tell you what was wrong with the
input, and try to guide you to a valid one.

This commit provides error handling for wrong JSON values, and prints
what the error was if the setting could not be saved.

History

#1 - 04/27/2016 03:26 AM - Dominic Cleal
- Category set to Settings

#2 - 04/27/2016 04:06 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3470 added

#3 - 04/29/2016 12:01 PM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 5b53236fcc3acf0af29a2ddb60d17590d8db7571.

#4 - 05/03/2016 03:34 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#5 - 05/03/2016 03:34 AM - Dominic Cleal
- Related to Bug #14898: Failure when running rake config added

05/23/2024 1/1



https://github.com/theforeman/foreman/blob/develop/lib/tasks/config.rake#L111
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/5b53236fcc3acf0af29a2ddb60d17590d8db757f
http://www.tcpdf.org

